---
search:
  tags:
    - pipeline
    - GET
seo:
  description: >-
    List pipeline lint. Reference for the GET
    /workspaces/{organizationId}/pipeline/lint endpoint in the Pile API.
sidebar:
  label: List pipeline lint
  badge: GET
title: List pipeline lint
type: openapi-operation
---
`GET /workspaces/{organizationId}/pipeline/lint`

**Responses**

- `200` — Referential-integrity lint: agent types pointing at unknown providers, and stage templates/configs whose ownerAgent slug has no agent type

Response example, 200:

```json
{
  "findings": [
    {
      "kind": "unknown_provider",
      "id": "string",
      "detail": "string"
    }
  ]
}
```
